##  for Mageia 9  ##

%define fcitx5_ver 5.1.12
%define fcitx5_qt_ver 5.1.9

# turn off debuginfo package
%define debug_package %{nil}

Name:    fcitx5-configtool
Summary: Configuration tool for Fcitx5
Version: 5.1.8
Release: 1.np9
Group:   System/Internationalization
License: GPL-2.0-or-later
Url:     https://github.com/fcitx/fcitx5-configtool
Source0: https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: fcitx5-devel >= %{fcitx5_ver}
BuildRequires: fcitx5-qt-devel >= %{fcitx5_qt_ver}
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: pkgconf-pkg-config
BuildRequires: %{_lib}kf5plasma-devel
BuildRequires: %{_lib}kf5itemviews-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5coreaddons-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5package-devel
BuildRequires: %{_lib}kf5declarative-devel
BuildRequires: %{_lib}kf5kirigami2-devel >= 5.76
BuildRequires: %{_lib}xkbfile-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: iso-codes
BuildRequires: %{_lib}xcb-devel
BuildRequires: gettext-devel

Requires: fcitx5 >= %{fcitx5_ver}

%description
Configuration tool for Fcitx5 using Qt5.

# ---------------------------------------------------------------

%package -n kcm-fcitx5
Summary:  Fcitx5 config tools to be used on KDE based environment.
Requires: fcitx5 >= %{fcitx5_ver}
Requires: %{_lib}kf5kcmutils5
Suggests: %{name} = %{version}-%{release}

%description -n kcm-fcitx5
Fcitx5 config tools to be used on KDE based environment.
Can be installed seperately.

# ---------------------------------------------------------------

%package -n fcitx5-migrator
Summary:  Migration tools for fcitx5
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-migrator
Migration tools for fcitx5, containing fcitx5-migrator

# ---------------------------------------------------------------

%package -n fcitx5-migrator-devel
Summary:  Devel files for fcitx5-migrator
Requires: fcitx5-migrator = %{version}-%{release}

%description -n fcitx5-migrator-devel
Development files for fcitx5-migrator

# ---------------------------------------------------------------

%prep
%setup -q


%build
%cmake -DUSE_QT6=Off
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

desktop-file-install --delete-original --vendor="" \
 --add-category="X-MandrivaLinux-System-Configuration" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/org.fcitx.fcitx5-*.desktop

desktop-file-install --delete-original --vendor="" \
 --set-key=NoDisplay \
 --set-value=true \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/kcm_fcitx5.desktop

%find_lang kcm_fcitx5
%find_lang %{name}


%files -f %{name}.lang 
%license LICENSES
%doc README
%{_bindir}/fcitx5-config-qt
%{_bindir}/kbd-layout-viewer5
%{_datadir}/applications/kbd-layout-viewer5.desktop
%{_datadir}/applications/org.fcitx.fcitx5-config-qt.desktop

%files -n kcm-fcitx5 -f kcm_fcitx5.lang
%license LICENSES
%{_bindir}/fcitx5-plasma-theme-generator
%{_libdir}/qt5/plugins/plasma/kcms/systemsettings/kcm_fcitx5.so
%{_datadir}/kpackage/kcms/
%{_datadir}/applications/kcm_fcitx5.desktop

%files -n fcitx5-migrator
%{_bindir}/fcitx5-migrator
%{_libdir}/libFcitx5Migrator.so.5.*
%{_libdir}/libFcitx5Migrator.so.1
%{_datadir}/applications/org.fcitx.fcitx5-migrator.desktop

%files -n fcitx5-migrator-devel
%{_libdir}/libFcitx5Migrator.so


%changelog
* Thu Jan 23 2025 tomcat <> 5.1.8-1.np9
- 5.1.8
- build with fcitx5-5.1.12 and fcitx5-qt-5.1.9

* Wed Oct 09 2024 tomcat <> 5.1.7-1.np9
- 5.1.7
- build with fcitx5-5.1.11 and fcitx5-qt-5.1.7

* Sat Jun 01 2024 tomcat <> 5.1.6-1.np9
- 5.1.6
- build with fcitx5-5.1.10

* Tue Apr 23 2024 tomcat <> 5.1.5-1.np9
- 5.1.5
- build with fcitx5-5.1.9 and fcitx5-qt-5.1.6
- add '-DUSE_QT6=Off' build option to cmake

* Fri Mar 01 2024 tomcat <> 5.1.4-1.np9
- 5.1.4
- build with fcitx5-5.1.8 and fcitx5-qt-5.1.5

* Sat Jan 06 2024 tomcat <> 5.1.3-1.np9
- 5.1.3
- build with fcitx5-5.1.6 and fcitx5-qt-5.1.4
- update %%files

* Sat Nov 04 2023 tomcat <> 5.1.2-1.np9
- 5.1.2

* Sat Sep 30 2023 tomcat <> 5.1.1-1.np9
- 5.1.1
- update %%files fcitx5-migrator

* Fri Aug 18 2023 tomcat <> 5.1.0-1.np9
- 5.1.0
- build with fcitx5-5.1.0 and fcitx5-qt-5.1.0

* Mon Apr 24 2023 tomcat <> 5.0.17-1.np9
- 5.0.17

* Sun Feb 26 2023 tomcat <> 5.0.16-2.np9
- build for Mageia 9
- build with fcitx5-5.0.21

* Sun Nov 20 2022 tomcat <> 5.0.16-1.nora8
- 5.0.16
- build with fcitx5-5.0.20 and fcitx5-qt-5.0.16
- add BR:%%{_lib}kf5plasma-devel

* Tue Aug 30 2022 tomcat <> 5.0.15-1.nora8
- 5.0.15

* Wed Jul 06 2022 tomcat <> 5.0.14-1.nora8
- 5.0.14
- update %%files of kcm-fcitx5

* Mon May 23 2022 tomcat <> 5.0.13-1.nora8
- 5.0.13

* Thu Mar 10 2022 tomcat <> 5.0.12-1.nora8
- 5.0.12

* Wed Feb 02 2022 tomcat <> 5.0.11-1.nora8
- 5.0.11

* Sun Jan 02 2022 tomcat <> 5.0.10-1.nora8
- 5.0.10

* Sun Dec 05 2021 tomcat <> 5.0.9-1.nora8
- 5.0.9

* Sat Nov 06 2021 tomcat <> 5.0.8-1.nora8
- 5.0.8

* Sun Sep 26 2021 tomcat <> 5.0.6-1.nora8
- 5.0.6

* Thu May 06 2021 tomcat <> 5.0.5-1.nora8
- 5.0.5

* Mon Mar 22 2021 tomcat <> 5.0.4-1.nora8
- 5.0.4

* Tue Mar 02 2021 tomcat <> 5.0.3-2.nora8
- split subpackage fcitx5-migrator containing migration tools

* Sat Feb 20 2021 tomcat <> 5.0.3-1.nora8
- 5.0.3
- update desktop files

* Wed Jan 27 2021 tomcat <> 5.0.2-1.nora8
- build for Mageia 8
